com.microfocus.awm.meta.interfaces

## Enum ESortDirection

- java.lang.Object
- - java.lang.Enum<ESortDirection>
  - - com.microfocus.awm.meta.interfaces.ESortDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ESortDirection>, org.eclipse.emf.common.util.Enumerator

      public enum ESortDirection
      extends java.lang.Enum<ESortDirection>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for sort direction: NONE, Ascending, Descending
  See Also:
    `TaurusPackage.getESortDirection()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` The 'Ascending' literal object.
    `DESCENDING` The 'Descending' literal object.
    `NONE` The 'NONE' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASCENDING_VALUE` The 'Ascending' literal value.
    `static int` | `DESCENDING_VALUE` The 'Descending' literal value.
    `static int` | `NONE_VALUE` The 'NONE' literal value.
    `static java.util.List<ESortDirection>` | `VALUES` A public read-only list of all the 'ESort Direction' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ESortDirection` | `get(int value)` Returns the 'ESort Direction' literal with the specified integer value.
    `static ESortDirection` | `get(java.lang.String literal)` Returns the 'ESort Direction' literal with the specified literal value.
    `static ESortDirection` | `getByName(java.lang.String name)` Returns the 'ESort Direction' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ESortDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ESortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ESortDirection NONE

      The 'NONE' literal object.
      See Also:
        `NONE_VALUE`

    - #### ASCENDING

          public static final ESortDirection ASCENDING

      The 'Ascending' literal object.
      See Also:
        `ASCENDING_VALUE`

    - #### DESCENDING

          public static final ESortDirection DESCENDING

      The 'Descending' literal object.
      See Also:
        `DESCENDING_VALUE`

  - ### Field Detail

    - #### NONE_VALUE

          public static final int NONE_VALUE

      The 'NONE' literal value.
      See Also:
        `NONE`, Constant Field Values

    - #### ASCENDING_VALUE

          public static final int ASCENDING_VALUE

      The 'Ascending' literal value.
      See Also:
        `ASCENDING`, Constant Field Values

    - #### DESCENDING_VALUE

          public static final int DESCENDING_VALUE

      The 'Descending' literal value.
      See Also:
        `DESCENDING`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ESortDirection> VALUES

      A public read-only list of all the 'ESort Direction' enumerators.

  - ### Method Detail

    - #### values

          public static ESortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ESortDirection c : ESortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ESortDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ESortDirection get(java.lang.String literal)

      Returns the 'ESort Direction' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ESortDirection getByName(java.lang.String name)

      Returns the 'ESort Direction' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ESortDirection get(int value)

      Returns the 'ESort Direction' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ESortDirection>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.